Update Tracking Link
Update an existing tracking link for a Fansly account.
Update the label or description of an existing tracking link. You must provide the tracking link id.
https://v1.apifansly.com
PUT
/api/fansly/{account_id}/tracking-links
Get Started
All requests to the Fansly API require an API Key. See the Authentication page for details.
Path Parameters
curl -X PUT "https://v1.apifansly.com/api/fansly/{account_id}/tracking-links" \
-H "x-api-key: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"id": "unique_tracking_link_identifier",
"label": "updated_name_of_the_tracking_link",
"description": "updated_optional_details_about_the_link"
}'fetch("https://v1.apifansly.com/api/fansly/{account_id}/tracking-links", {
method: "PUT",
headers: {
"x-api-key": "YOUR_API_KEY",
"Content-Type": "application/json"
},
body: JSON.stringify({
id: "xxxxxxxxxxxxxxxx",
label: "Updated Twitter Campaign",
description: "Updated tracking info"
})
})
.then(response => response.json())
.then(data => console.log(data));import requests
url = "https://v1.apifansly.com/api/fansly/{account_id}/tracking-links"
headers = {
"x-api-key": "YOUR_API_KEY",
"Content-Type": "application/json"
}
data = {
"id": "unique_tracking_link_identifier",
"label": "updated_name_of_the_tracking_link",
"description": "updated_optional_details_about_the_link"
}
response = requests.put(url, headers=headers, json=data)
print(response.json())import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
HttpClient client = HttpClient.newHttpClient();
String jsonBody = "{\"id\":\"xxxxxxxxxxxxxxxx\",\"label\":\"Updated Twitter Campaign\",\"description\":\"Updated tracking info\"}";
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create("https://v1.apifansly.com/api/fansly/{account_id}/tracking-links"))
.header("x-api-key", "YOUR_API_KEY")
.header("Content-Type", "application/json")
.PUT(HttpRequest.BodyPublishers.ofString(jsonBody))
.build();
client.sendAsync(request, HttpResponse.BodyHandlers.ofString())
.thenApply(HttpResponse::body)
.thenAccept(System.out::println)
.join();using System.Net.Http;
using System.Text;
using System.Threading.Tasks;
var client = new HttpClient();
client.DefaultRequestHeaders.Add("x-api-key", "YOUR_API_KEY");
var jsonBody = "{\"id\":\"xxxxxxxxxxxxxxxx\",\"label\":\"Updated Twitter Campaign\",\"description\":\"Updated tracking info\"}";
var content = new StringContent(jsonBody, Encoding.UTF8, "application/json");
var response = await client.PutAsync("https://v1.apifansly.com/api/fansly/{account_id}/tracking-links", content);
var responseString = await response.Content.ReadAsStringAsync();
Console.WriteLine(responseString);package main
import (
"bytes"
"fmt"
"io/ioutil"
"net/http"
)
func main() {
url := "https://v1.apifansly.com/api/fansly/{account_id}/tracking-links"
jsonBody := []byte(`{"id":"unique_tracking_link_identifier","label":"updated_name_of_the_tracking_link","description":"updated_optional_details_about_the_link"}`)
req, _ := http.NewRequest("PUT", url, bytes.NewBuffer(jsonBody))
req.Header.Set("x-api-key", "YOUR_API_KEY")
req.Header.Set("Content-Type", "application/json")
client := &http.Client{}
resp, _ := client.Do(req)
defer resp.Body.Close()
body, _ := ioutil.ReadAll(resp.Body)
fmt.Println(string(body))
}Parameters
To update a tracking link for a specific account, you must provide the account_id in the URL path.
account_id*
stringThe unique identifier for the connected account, retrieved from your Dashboard.
Body Structure
id*
stringThe unique identifier of the tracking link to update.
label ?
stringThe updated label of the tracking link.
description ?
stringThe updated description providing more context for the tracking link.
Response
{
"statusCode": 200,
"message": "Tracking link updated successfully",
"data": {
"status_code": 200,
"data": {
"success": true,
"response": {
"id": "unique_tracking_link_identifier",
"accountId": "creator_account_identifier",
"label": "updated_name_of_the_tracking_link",
"description": "updated_optional_details_about_the_link",
"metadata": "stringified_json_metadata",
"createdAt": 1770544484000,
"clicks": 584,
"claims": 0,
"follows": 27,
"subscriptions": 4,
"totalNet": 10500,
"totalGross": 15000
}
}
},
"timestamp": "2026-03-21T04:08:45.000Z"
}